For the complete documentation index, see llms.txt. This page is also available as Markdown.

Donate

post

Create Bank Transfer.

Authorizations
sessionidstringOptional
Body

Serializer for bank transfer donation requests (amount >= 5L)

amountstring · decimalRequiredPattern: ^-?\d{0,10}(?:\.\d{0,2})?$
namestring · max: 255Required
donation_namestring · max: 100Optional
emailstring · emailRequired
phone_numberstring · max: 20Optional
pan_numberstring · max: 10Optional
addressstringOptional
companystring · max: 255Optional
donation_typestring · enumOptional
  • one-time - one-time
  • monthly - monthly
  • yearly - yearly
Default: one-timePossible values:
is_organisationbooleanOptionalDefault: false
proof_urlstring · uri · max: 2000Optional
reference_codestring · max: 50Required
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/donate/bank-transfer/
POST /api/v1/donate/bank-transfer/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 264

{
  "amount": "text",
  "name": "text",
  "donation_name": "text",
  "email": "name@gmail.com",
  "phone_number": "text",
  "pan_number": "text",
  "address": "text",
  "company": "text",
  "donation_type": "one-time",
  "is_organisation": false,
  "proof_url": "https://example.com",
  "reference_code": "text"
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "amount": "text",
    "name": "text",
    "donation_name": "text",
    "email": "name@gmail.com",
    "phone_number": "text",
    "pan_number": "text",
    "address": "text",
    "company": "text",
    "donation_type": "one-time",
    "is_organisation": false,
    "proof_url": "https://example.com",
    "reference_code": "text"
  }
}
post

Create Razor Pay Order.

Authorizations
sessionidstringOptional
Body

Serializer for one-time order creation requests

amountstring · decimalRequiredPattern: ^-?\d{0,10}(?:\.\d{0,2})?$
currencystringOptionalDefault: INR
namestring · max: 255Required
donation_namestring · max: 100Optional
emailstring · emailRequired
phone_numberstring · max: 20Optional
pan_numberstring · max: 10Optional
addressstringOptional
companystring · max: 255Optional
donation_typestring · enumOptional
  • one-time - one-time
  • monthly - monthly
  • yearly - yearly
Default: one-timePossible values:
is_organisationbooleanOptionalDefault: false
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/donate/order/
POST /api/v1/donate/order/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 223

{
  "amount": "text",
  "currency": "INR",
  "name": "text",
  "donation_name": "text",
  "email": "name@gmail.com",
  "phone_number": "text",
  "pan_number": "text",
  "address": "text",
  "company": "text",
  "donation_type": "one-time",
  "is_organisation": false
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "amount": "text",
    "currency": "INR",
    "name": "text",
    "donation_name": "text",
    "email": "name@gmail.com",
    "phone_number": "text",
    "pan_number": "text",
    "address": "text",
    "company": "text",
    "donation_type": "one-time",
    "is_organisation": false
  }
}
post

Create Razor Pay Subscription.

Authorizations
sessionidstringOptional
Body

Serializer for subscription creation requests

amountstring · decimalRequiredPattern: ^-?\d{0,10}(?:\.\d{0,2})?$
currencystringOptionalDefault: INR
namestring · max: 255Required
donation_namestring · max: 100Optional
emailstring · emailRequired
phone_numberstring · max: 20Optional
pan_numberstring · max: 10Optional
addressstringOptional
companystring · max: 255Optional
donation_typestring · enumRequired
  • one-time - one-time
  • monthly - monthly
  • yearly - yearly
Possible values:
is_organisationbooleanOptionalDefault: false
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/donate/subscription/create/
POST /api/v1/donate/subscription/create/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 223

{
  "amount": "text",
  "currency": "INR",
  "name": "text",
  "donation_name": "text",
  "email": "name@gmail.com",
  "phone_number": "text",
  "pan_number": "text",
  "address": "text",
  "company": "text",
  "donation_type": "one-time",
  "is_organisation": false
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "amount": "text",
    "currency": "INR",
    "name": "text",
    "donation_name": "text",
    "email": "name@gmail.com",
    "phone_number": "text",
    "pan_number": "text",
    "address": "text",
    "company": "text",
    "donation_type": "one-time",
    "is_organisation": false
  }
}
post

Create Razor Pay Subscription Verification.

Authorizations
sessionidstringOptional
Body

Serializer for Donation model - payment tracking

donation_typestring · enumRequired
  • one-time - one-time
  • monthly - monthly
  • yearly - yearly
Possible values:
order_idstring · max: 100 · nullableOptional
payment_idstring · max: 100 · nullableOptional
donation_namestring · max: 100 · nullableOptional
payment_methodstring · max: 50 · nullableOptional
amountstring · decimalRequiredPattern: ^-?\d{0,10}(?:\.\d{0,2})?$
currencystring · max: 10Optional
is_paidbooleanOptional
payment_statusstring · max: 30Optional
reference_codestring · max: 50 · nullableOptional
proof_urlstring · nullableOptional
donorstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/donate/subscription/verify/
POST /api/v1/donate/subscription/verify/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 244

{
  "donation_type": "one-time",
  "order_id": "text",
  "payment_id": "text",
  "donation_name": "text",
  "payment_method": "text",
  "amount": "text",
  "currency": "text",
  "is_paid": true,
  "payment_status": "text",
  "reference_code": "text",
  "proof_url": "text",
  "donor": "text"
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "donation_type": "one-time",
    "order_id": "text",
    "payment_id": "text",
    "donation_name": "text",
    "payment_method": "text",
    "amount": "text",
    "currency": "text",
    "is_paid": true,
    "payment_status": "text",
    "reference_code": "text",
    "proof_url": "text",
    "donor": "text"
  }
}
post

Create Razor Pay Verification.

Authorizations
sessionidstringOptional
Body

Serializer for Donation model - payment tracking

donation_typestring · enumRequired
  • one-time - one-time
  • monthly - monthly
  • yearly - yearly
Possible values:
order_idstring · max: 100 · nullableOptional
payment_idstring · max: 100 · nullableOptional
donation_namestring · max: 100 · nullableOptional
payment_methodstring · max: 50 · nullableOptional
amountstring · decimalRequiredPattern: ^-?\d{0,10}(?:\.\d{0,2})?$
currencystring · max: 10Optional
is_paidbooleanOptional
payment_statusstring · max: 30Optional
reference_codestring · max: 50 · nullableOptional
proof_urlstring · nullableOptional
donorstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/donate/verify/
POST /api/v1/donate/verify/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 244

{
  "donation_type": "one-time",
  "order_id": "text",
  "payment_id": "text",
  "donation_name": "text",
  "payment_method": "text",
  "amount": "text",
  "currency": "text",
  "is_paid": true,
  "payment_status": "text",
  "reference_code": "text",
  "proof_url": "text",
  "donor": "text"
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "donation_type": "one-time",
    "order_id": "text",
    "payment_id": "text",
    "donation_name": "text",
    "payment_method": "text",
    "amount": "text",
    "currency": "text",
    "is_paid": true,
    "payment_status": "text",
    "reference_code": "text",
    "proof_url": "text",
    "donor": "text"
  }
}

Last updated

Was this helpful?